from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.awt import XWindow

@runtime_checkable
class XWindow2(XWindow, Protocol):
    def setOutputSize(self, Size: Size) -> None: ...
    def getOutputSize(self) -> Size: ...
    def isVisible(self) -> bool: ...
    def isActive(self) -> bool: ...
    def isEnabled(self) -> bool: ...
    def hasFocus(self) -> bool: ...
